package dk.nsp.xdscleanup;

import dk.nsp.xdscleanup.config.TestConfiguration;
import io.cucumber.junit.Cucumber;
import io.cucumber.junit.CucumberOptions;
import io.cucumber.spring.CucumberContextConfiguration;
import org.junit.Before;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.TestContextManager;

@RunWith(Cucumber.class)
@ContextConfiguration(classes = {TestConfiguration.class})
@CucumberContextConfiguration
@CucumberOptions(
		tags = "not @Ignore",
        plugin = {
				"pretty",
                "html:target/cucumber-reports/cucumber.html",
                "json:target/cucumber-reports/cucumber.json"
        })
public class CleanupIT {
	@Before
	public void setupSpringContext() throws Exception {
		TestContextManager testContextManager = new TestContextManager(getClass());
		testContextManager.prepareTestInstance(this);
	}
	
}
