package dk.nsp.xdscleanup.stepdefinitions;

import dk.nsp.xdscleanup.util.HttpClient;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;

public class HealthStepDefinitions {
    @Value("${xdscleanup.service.endpoint}" + "/health")
    private String healthEndpoint;
    private int responseCode;

    @When("Servicens health endpoint kaldes")
    public void servicensHealthEndpointKaldes() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(healthEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @Then("Returneres http kode 200 OK fra health endpointet")
    public void returneresHttpKode200OKFraHealthEndpointet() {
        Assert.assertEquals(200, responseCode);
    }
}
