Feature: Deprecated Cleanup service
  Efter registrering af dokumenter, køres deprecated cleanup jobbet.
  Jobbet skal slette dokumenter fra registry der er slettet markeret for mere end X dage siden og dermed udløbet.

  Scenario: Den hvor Deprecated Cleanup servicen er sund
    When Deprecate cleanup servicens status endpoint kaldes
    Then Returneres http kode 200 OK fra deprecate cleanup jobbet

  Scenario: Den hvor Deprecated Cleanup jobbet startet for at tjekke at det kan køre (detaljerede test kan kun køres lokalt).
    When Deprecate cleanup jobbet køres
    Then Returneres http kode 200 OK fra deprecate cleanup jobbet

  @runLocal
  Scenario: Den hvor Deprecated Cleanup jobbet sletter slettemarkeret dokument.
  Given Slettemarkeret "Aftale" dokument med cpr "1503684612" registreres
    And Søgning efter dokument med cpr "1503684612" finder slettemarkeret dokument
   When Deprecate cleanup jobbet køres
   Then Returneres http kode 200 OK fra deprecate cleanup jobbet
    And Søgning efter dokument med cpr "1503684612" finder ikke slettemarkeret dokument

  @runLocal
  Scenario: Den hvor Deprecated Cleanup jobbet sletter slettemarkeret dokumenter på 2 forskellige cpr numre.
  Given Slettemarkeret "Aftale" dokument med cpr "1503684612" registreres 2 gange
    And Slettemarkeret "Aftale" dokument med cpr "2409614089" registreres 2 gange
    And Slettemarkeret "Labsvar" dokument med cpr "1503684612" registreres 2 gange
    And Slettemarkeret "Labsvar" dokument med cpr "2409614089" registreres 2 gange
    And Søgning efter dokument med cpr "1503684612" finder slettemarkeret dokument
    And Søgning efter dokument med cpr "2409614089" finder slettemarkeret dokument
   When Deprecate cleanup jobbet køres
   Then Returneres http kode 200 OK fra deprecate cleanup jobbet
    And Søgning efter dokument med cpr "1503684612" finder ikke slettemarkeret dokument
    And Søgning efter dokument med cpr "2409614089" finder ikke slettemarkeret dokument

  @runLocal
  Scenario: Den hvor Deprecated Cleanup jobbet ikke sletter dokument som er udløbet pga alder men ikke slettemarkeret.
  Given Udløbet "Aftale" dokument med cpr "1503684612" registreres
    And Søgning efter dokument med cpr "1503684612" finder registreret dokument
   When Deprecate cleanup jobbet køres
   Then Returneres http kode 200 OK fra deprecate cleanup jobbet
    And Søgning efter dokument med cpr "1503684612" finder registreret dokument

  @runLocal
  Scenario: Den hvor Deprecated Cleanup jobbet sletter 2 erstattede dokumenter
  Given "Aftale" dokument med cpr "1503684612" registreres
    And "Aftale" dokument med cpr "1503684612" registreres som en rettelse til forrige
    And "Aftale" dokument med cpr "1503684612" registreres som en rettelse til forrige
    And Søgning efter dokument med cpr "1503684612" finder 2 slettemarkeret dokumenter
   When Deprecate cleanup jobbet køres
    And Søgning efter dokument med cpr "1503684612" finder 1 slettemarkeret dokumenter
    And Deprecate cleanup jobbet køres
   Then Søgning efter dokument med cpr "1503684612" finder 0 slettemarkeret dokumenter
    And Returneres http kode 200 OK fra deprecate cleanup jobbet

