-- SDS-6783

create table if not exists notification_configuration (
  id int(11) not null auto_increment,

  classcode_codename varchar(64) not null,
  classcode_schemename varchar(64) not null,
  typecode_codename varchar(64) not null,
  typecode_schemename varchar(64) not null,
  formatcode_codename varchar(64) not null,
  formatcode_schemename varchar(64) not null,
  
  topic varchar(128) not null,
  notification_type varchar(128) not null,
  creation_time datetime(6) default current_timestamp,
  
  constraint notifiation_configuration_pk primary key (id)
) engine = InnoDB collate 'utf8_bin';
 
 
create table if not exists unsent_notifications (
  id int(11) not null auto_increment,
  uuid varchar(64) not null,
  patient_id varchar(64) not null,
  created_date VARCHAR(50) not null,
  topic varchar(128) not null,
  notification_type varchar(128) not null,

  constraint unsent_notifications_pk primary key (id),
  index notifications_index_1 (created_date),
  unique key notifications_unique_1 (uuid)
) engine = InnoDB collate 'utf8_bin';
 
  