package dk.nsp.xdscleanup.stepdefinitions;

import dk.nsp.xdscleanup.util.HttpClient;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;

public class DanglingSubmissionsetsStepDefinitions {

    @Value("${xdscleanup.deprecate.service.endpoint}" + "/dangling-submissionsets/start")
    private String cleanupEndpoint;
    @Value("${xdscleanup.deprecate.service.endpoint}" + "/dangling-submissionsets/status")
    private String cleanupStatusEndpoint;
    private int responseCode;

    @When("Dangling submissionsets cleanup servicens status endpoint kaldes")
    public void danglingSubmissionsetsCleanupHealthEndpointKaldes() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupStatusEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @When("Dangling submissionsets cleanup jobbet køres")
    public void danglingSubmissionsetsCleanupJobbetKoeres() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @Then("Returneres http kode 200 OK fra dangling submissionsets cleanup jobbet")
    public void returneresHttpKode200OKFraDanglingSubmissionsetsCleanupJobbet() {
        Assert.assertEquals(200, responseCode);
    }


}
