package dk.nsp.xdscleanup.stepdefinitions;

import dk.nsp.xdscleanup.util.HttpClient;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;

public class RegistryDeceasedCleanupStepDefinitions {

    @Value("${xdscleanup.service.endpoint}" + "/registry-deceased-cleanup/start")
    private String cleanupEndpoint;
    @Value("${xdscleanup.service.endpoint}" + "/registry-deceased-cleanup/status")
    private String cleanupStatusEndpoint;
    private int responseCode;

    @When("Registry deceased cleanup servicens status endpoint kaldes")
    public void registryDeceasedCleanupHealthEndpointKaldes() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupStatusEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @When("Registry deceased cleanup jobbet køres")
    public void registryDeceasedCleanupJobbetKoeres() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @Then("Returneres http kode 200 OK fra registry deceased cleanup jobbet")
    public void returneresHttpKode200OKFraRegistryDeceasedCleanupJobbet() {
        Assert.assertEquals(200, responseCode);
    }
}
