package dk.nsp.xdscleanup.stepdefinitions;

import dk.nsp.xdscleanup.util.HttpClient;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;

public class RegistryTimebasedCleanupStepDefinitions {

    @Value("${xdscleanup.service.endpoint}" + "/registry-timebased-cleanup/start")
    private String cleanupEndpoint;
    @Value("${xdscleanup.service.endpoint}" + "/registry-timebased-cleanup/status")
    private String cleanupStatusEndpoint;
    private int responseCode;

    @When("Timebased cleanup servicens status endpoint kaldes")
    public void registryTimebasedCleanupHealthEndpointKaldes() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupStatusEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @When("Registry timebased cleanup jobbet køres")
    public void registryTimebasedCleanupJobbetKoeres() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @Then("Returneres http kode 200 OK fra registry timebased cleanup jobbet")
    public void returneresHttpKode200OKFraRegistryTimebasedCleanupJobbet() {
        Assert.assertEquals(200, responseCode);
    }
}
