package dk.nsp.xdscleanup.stepdefinitions;

import dk.nsp.xdscleanup.util.HttpClient;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;

public class RepositoryCleanupStepDefinitions {

    @Value("${xdscleanup.service.endpoint}" + "/repository-cleanup/start")
    private String cleanupEndpoint;
    @Value("${xdscleanup.service.endpoint}" + "/repository-cleanup/status")
    private String cleanupStatusEndpoint;
    private int responseCode;

    @When("Repository cleanup servicens status endpoint kaldes")
    public void repositoryCleanupHealthEndpointKaldes() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupStatusEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @When("Repository cleanup jobbet køres")
    public void repositoryCleanupJobbetKoeres() throws IOException {
        HttpClient httpClient = new HttpClient();
        httpClient.get(cleanupEndpoint);
        responseCode = httpClient.getResponseCode();
    }

    @Then("Returneres http kode 200 OK fra repository cleanup jobbet")
    public void returneresHttpKode200OKFraRepositoryCleanupJobbet() {
        Assert.assertEquals(200, responseCode);
    }


}
