package dk.nsp.xdscleanup.stepdefinitions;

import org.openehealth.ipf.commons.ihe.xds.core.metadata.DocumentEntry;
import org.openehealth.ipf.commons.ihe.xds.core.responses.Response;

public class RequestResponseInformation {


    private final DocumentEntry documentEntry;
    private final Response response;

    public RequestResponseInformation(DocumentEntry documentEntry, Response response) {
        this.documentEntry = documentEntry;
        this.response = response;
    }

    public DocumentEntry getDocumentEntry() {
        return documentEntry;
    }


    public Response getResponse() {
        return response;
    }
}
