Feature: Dangling Submissionset Cleanup service
  Efter registrering af dokumenter, køres dangling submissionset cleanup jobbet.
  Jobbet skal slette dokumenter fra registry der er slettet markeret for mere end X dage siden og dermed udløbet.

  Scenario: Den hvor Dangling Submissionsets Cleanup servicen er sund
    When Dangling submissionsets cleanup servicens status endpoint kaldes
    Then Returneres http kode 200 OK fra dangling submissionsets cleanup jobbet

  Scenario: Den hvor Dangling Submissionsets Cleanup jobbet startet for at tjekke at det kan køre (detaljerede test kan kun køres lokalt).
    When Dangling submissionsets cleanup jobbet køres
    Then Returneres http kode 200 OK fra dangling submissionsets cleanup jobbet

  @runLocal
  Scenario: Den hvor Dangling Submissionsets Cleanup jobbet sletter submissionset hvor tilhørende dokument er udløbet og slettet pga slettemarkering
  Given Slettemarkeret "Aftale" dokument med cpr "1503684612" registreres
    And Søgning efter dokument med cpr "1503684612" finder slettemarkeret dokument
    And Deprecate cleanup jobbet køres
   When Dangling submissionsets cleanup jobbet køres
   Then Returneres http kode 200 OK fra dangling submissionsets cleanup jobbet
    And Søgning efter dokument med cpr "1503684612" finder ikke slettemarkeret dokument
      # testen tjekker ikke at dangling submissionset er blevet slettet da der ikke er iti håndtag til dette.
      # Forventningen er, at koden rammes og der er hul igennem til logikken.
      # Log filen skal afsløre 1 sletning: Registry Dangling SubmissionSets Cleanup: Batch cleanup finished! deleted=1 Time spent: 0 seconds.

  @runLocal
  Scenario: Den hvor Dangling Submissionsets Cleanup jobbet sletter submissionset hvor tilhørende dokument er udløbet og slettet pga slettemarkering og dokumentet er blevet erstattet 2 gange
  Given "Aftale" dokument med cpr "1503684612" registreres
    And "Aftale" dokument med cpr "1503684612" registreres som en rettelse til forrige
    And "Aftale" dokument med cpr "1503684612" registreres som en rettelse til forrige
    And Seneste dokument slettemarkeres
    And Deprecate cleanup jobbet køres
    And Deprecate cleanup jobbet køres
    And Deprecate cleanup jobbet køres
    And Søgning efter dokument med cpr "1503684612" finder 0 slettemarkeret dokumenter
   When Dangling submissionsets cleanup jobbet køres
   Then Returneres http kode 200 OK fra dangling submissionsets cleanup jobbet
      # testen tjekker ikke at dangling submissionset er blevet slettet da der ikke er iti håndtag til dette.
      # Forventningen er, at koden rammes og der er hul igennem til logikken.
      # Log filen skal afsløre 1 sletning: Registry Dangling SubmissionSets Cleanup: Batch cleanup finished! deleted=1 Time spent: 0 seconds.
