Feature: Repository Cleanup service
  Efter registrering af dokumenter og sletning fra registry, køres repository cleanup jobbet.
  Jobbet skal slette dokumenter fra repository.

  Scenario: Den hvor Repository Cleanup servicen er sund
    When Repository cleanup servicens status endpoint kaldes
    Then Returneres http kode 200 OK fra repository cleanup jobbet

  Scenario: Den hvor Repository cleanup jobbet sletter 10 dokumenter fra repository fordi de er fjernet fra registry pga forældelse.
  Given Udløbet "Aftale" dokument med cpr "1503684612" registreres 5 gange
    And Udløbet "Labsvar" dokument med cpr "1503684612" registreres 5 gange
    And Hentning af registreret dokument returnerer 10 dokumenter
   When Registry timebased cleanup jobbet køres
    And Repository cleanup jobbet køres
   Then Returneres http kode 200 OK fra repository cleanup jobbet
    And Hentning af registreret dokument returnerer 0 dokumenter

  Scenario: Den hvor Repository cleanup jobbet sletter 4 ud af 8 dokumenter fra repository fordi de er fjernet fra registry pga forældelse.
  Given "Aftale" dokument med cpr "1503684612" registreres 2 gange
    And "Labsvar" dokument med cpr "1503684612" registreres 2 gange
    And Udløbet "Aftale" dokument med cpr "1503684612" registreres 2 gange
    And Udløbet "Labsvar" dokument med cpr "1503684612" registreres 2 gange
    And Hentning af registreret dokument returnerer 8 dokumenter
   When Registry timebased cleanup jobbet køres
    And Repository cleanup jobbet køres
   Then Returneres http kode 200 OK fra repository cleanup jobbet
    And Hentning af registreret dokument returnerer 4 dokumenter

  @runLocal
  Scenario: Den hvor Repository cleanup jobbet sletter et dokument fra repository fordi det er fjernet fra registry da personen er afdød
  Given "Aftale" dokument med cpr "0810018631" registreres
    And Hentning af registreret dokument returnerer 1 dokumenter
   When Registry deceased cleanup jobbet køres
    And Repository cleanup jobbet køres
   Then Returneres http kode 200 OK fra repository cleanup jobbet
    And Hentning af registreret dokument returnerer 0 dokumenter